Subject: Re: Launching PostgreSQL KB Project Mark 2

From: "Dave Page" <[email-masked]>
Date: Fri, 2 Dec 2005 21:21:38 -0000

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Joshua D. Drake
> Sent: 02 December 2005 20:57
> To: Robert Treat
> Cc: Josh Berkus; [email-masked]
> Subject: Re: [pgsql-www] Launching PostgreSQL KB Project Mark 2
> 
> > Let me put it this way, I have an interest in discussing 
> how the kb will
> > be integrated into the main websites, but not much interest in
> > discussing how exactly its coded up. That said, it sounds 
> like what you
> > need to know first is how it will be integrated into the 
> site, and that
> > discussion should probably happen here first *before* you go about
> > coding something up and have yourselves painted into a corner. 
> 
> My suggestion to the other mailing list was to define scope and then
> when we had done so bring it to the WWW list for inclusion/comments
> etc...
> 
> > They can't read the archives? You can't bullet-point it for them?
> 
> Robert, think ties. Ties don't read archives, nor is it Josh's
> responsibility to bullet-point it for them.

I'd have to disagree with the last point - if Josh is bringing them to
the table, then he should make sure they know what's going on (and I'm
sure he will do whatever is required).

> > Which is why I am confused. Should we discuss the requirements here
> > *first*, and then those interested in coding them up can join the
> > project and discuss the details there?
> 
> Well honestly I don't think so. The KB at least at this point has
> requirements that are going to be set forth in a major way by the
> corporate sponsors. I don't think people on the WWW list want to
> particpate in that.

Well as I pointed out yesterday, given that we have discussed the issue
of a techdocs/pgdn/kb in some depth and as far as we were aware Gevik
was already working on it, I think we absolutely do want to know what's
going on and how the project is being redefined. That's exactly why I
strongly suggested to Josh that he needed to raise the topic here.

Incidently, as far as I am concerned the project that had been discussed
was /not/ merely a replacement for techdocs; it was to be a full
knowledgebase type section of the site (styled on Microsoft's KB) with a
CMS style interface for contributors. I will be interested to hear what
will be different about the new KB project.

Regards, Dave.

---

From: Josh Berkus <[email-masked]>
Date: Fri, 2 Dec 2005 13:34:25 -0800

Dave,

> strongly suggested to Josh that he needed to raise the topic here.

Ok, I didn't get that from the thread.  I'll ask Jim to digest it and see 
if he can come up with WWW's requirements out of it.

--Josh

-- 
__Aglio Database Solutions_______________
Josh Berkus		       Consultant
[email-masked]	 www.agliodbs.com
Ph: 415-752-2500	Fax: 415-752-2387
2166 Hayes Suite 200	San Francisco, CA